> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Account

Close a Banking Connectivity account. The account must have a zero balance before it can be closed.


## OpenAPI

````yaml openapi/banking-connectivity/accounts/close-account-banking.json DELETE /banking/accounts/{account_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Banking Connectivity
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /banking/accounts/{account_id}:
    delete:
      tags:
        - Accounts (Banking Connectivity)
      summary: Close Account (Banking Connectivity)
      operationId: delete_v1-banking-connectivity-accounts-account-id
      parameters:
        - in: path
          name: account_id
          schema:
            type: string
          required: true
          description: >-
            The unique identifier of the account. Found on the [Yuno
            dashboard](https://dashboard.y.uno/) (UUID, 36 chars).
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                OK:
                  summary: OK
                  value:
                    id: acct_aa0e8400-e29b-41d4-a716-446655440000
                    entity_id: ent_660e8400-e29b-41d4-a716-446655440000
                    onboarding_id: onb_990e8400-e29b-41d4-a716-446655440000
                    account_id: 550e8400-e29b-41d4-a716-446655440000
                    provider:
                      account_id: col_bank_account_789
                    account_type: CHECKING
                    status: CLOSED
                    account_number: '1234567890'
                    routing_number: '123456789'
                    iban: null
                    currency: USD
                    balance:
                      available: 0
                      current: 0
                      pending: 0
                    account_details:
                      account_name: John Doe - Checking
                      sort_code: null
                      bsb: null
                      swift: null
                    payment_rails:
                      incoming:
                        - ACH
                        - WIRE
                      outgoing:
                        - ACH
                        - WIRE
                    supports_book_transfers: true
                    created_at: '2026-02-01T10:10:00Z'
                    updated_at: '2026-02-25T14:30:00Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: acct_aa0e8400-e29b-41d4-a716-446655440000
                  entity_id:
                    type: string
                    example: ent_660e8400-e29b-41d4-a716-446655440000
                  onboarding_id:
                    type: string
                    example: onb_990e8400-e29b-41d4-a716-446655440000
                  account_id:
                    type: string
                    example: 550e8400-e29b-41d4-a716-446655440000
                  provider:
                    type: object
                    properties:
                      account_id:
                        type: string
                        example: col_bank_account_789
                  account_type:
                    type: string
                    example: CHECKING
                  status:
                    type: string
                    example: CLOSED
                  account_number:
                    type: string
                    example: '1234567890'
                  routing_number:
                    type: string
                    example: '123456789'
                  iban: {}
                  currency:
                    type: string
                    example: USD
                  balance:
                    type: object
                    properties:
                      available:
                        type: integer
                        example: 0
                        default: 0
                      current:
                        type: integer
                        example: 0
                        default: 0
                      pending:
                        type: integer
                        example: 0
                        default: 0
                  account_details:
                    type: object
                    properties:
                      account_name:
                        type: string
                        example: John Doe - Checking
                      sort_code: {}
                      bsb: {}
                      swift: {}
                  payment_rails:
                    type: object
                    properties:
                      incoming:
                        type: array
                        items:
                          type: string
                          example: ACH
                      outgoing:
                        type: array
                        items:
                          type: string
                          example: ACH
                  supports_book_transfers:
                    type: boolean
                    example: true
                    default: true
                  created_at:
                    type: string
                    example: '2026-02-01T10:10:00Z'
                  updated_at:
                    type: string
                    example: '2026-02-25T14:30:00Z'
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  messages:
                    type: array
                    items:
                      type: string
                      example: Account must have a zero balance before it can be closed
                  http_code:
                    type: integer
                    example: 400
                    default: 0
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    code: VALIDATION_ERROR
                    messages:
                      - Account must have a zero balance before it can be closed
                    http_code: 400
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: ACCOUNT_NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                      example: Account not found
                  http_code:
                    type: integer
                    example: 404
                    default: 0
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    code: ACCOUNT_NOT_FOUND
                    messages:
                      - Account not found
                    http_code: 404
          description: Not Found
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````